DIFF3(1)

NOM
diff3 - Comparer trois fichiers ligne à ligne

SYNOPSIS
diff3 [opion]... monfichier ancienfichier autrefichier

DESCRIPTION
Comparer trois fichiers ligne à ligne.

Les paramètres obligatoires aux options longues sont aussi obligatoires aux options courtes.

-A, --show-all
    Afficher tous les changements, en plaçant les conflits entre chevrons.

-e, --ed
    Afficher un script « ed » constitué des changements entre ancienfichier et autrefichier dans monfichier.

-E, --show-overlap
    Comme -e, mais en plaçant les conflits entre chevrons.

-3, --easy-only
    Comme -e, mais en n'incorporant que les changements sans chevauchement.

-x, --overlap-only
    Comme -e, mais en n'incorporant que les changements avec chevauchement.

-X  Comme -x, mais en plaçant les conflits entre chevrons.

-i  Ajouter les commandes « w » et « q » aux scripts ed.

-m, --merge
    Afficher les fichiers vraiment fusionnés, d'après -A si aucune autre option n'est donnée.

-a, --text
    Traiter tous les fichiers comme du texte.

--strip-trailing-cr
    Ignorer les retours à la ligne sur l'entrée standard.

-T, --initial-tab
    Afficher une tabulation plutôt qu'une espace avant le texte.

--diff-program=programme
    Utiliser programme pour comparer les fichiers.

-L, --label=étiquette
    Utiliser étiquette au lieu du nom de fichier (peut être répété jusqu'à trois fois).

--help
    Afficher l'aide et quitter.

-v, --version
    Afficher les informations de version et quitter.

Le format d'affichage par défaut est une représentation à peu près lisible des modifications.

Avec les options -e, -E, -x et -X (et les formes longues correspondantes) un script « ed » est affiché à la place de l'affichage par défaut.

Enfin, avec l'option -m (--merge), diff3 fait la fusion en interne et affiche le fichier vraiment fusionné. Pour les entrées inhabituelles, c'est plus robuste que l'utilisation de « ed ».

Si un fichier vaut -, l'entrée standard est lue. Le code de retour vaut 0 en cas de succès, 1 en cas de conflit, et 2 en cas de problème.

AUTEUR
Écrit par Randy Smith.

SIGNALER LES BOGUES
Signalez toute anomalie à <bug-diffutils@gnu.org>.
Page d'accueil de GNU diffutils : <URL:http://www.gnu.org/software/diffutils/>.
Aide globale pour l'utilisation de logiciels GNU : <URL:http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2011 Free Software Foundation, Inc. Licence GPLv3+ : la licence GPL GNU version 3 ou ultérieure <URL:http://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cmp(1), diff(1), sdiff(1)

La documentation complète de diff3 est disponible dans un manuel Texinfo. Si les programmes info et diff3 sont correctement installés, la commande

    info diff3

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Jade Alglave <jade DOT alglave AT ens-lyon DOT org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.